installer-builder
=================

JavaScript code, run using Node.js, that builds the PhET installers.

<h2>Dependencies</h2>

This code depends on Node.js, HTTrack, and BitRock InstallBuilder.  Node needs to be on the path.  The paths for
HTTrack and BitRock are specified in the config.json file (more on this below).  All three must be available for the
installer-builder code to be able to run successfully.

BitRock InstallBuilder requires a license file in order to build an installer that doesn't say something about being
created with an evaluation version when the installer is run.

<h2>Installation</h2>

Assuming that the above mentioned dependencies are met, here are the steps to set this up and run it.

+ clone the repository
+ install the needed packages using the "npm install" command (see notes below if this doesn't initially work)
+ edit the main script (phet-installer-builder.sh) such that it can find and run node.
+ make the main script (phet-installer-builder.sh) executable (e.g. through chmod +x <filename>)
+ edit config.json to add the paths for HTTrack and installBuilder
++ note that for BitRock InstallBuilder, the executable will be different on Windows vs. Linux/Unix, not just the path.
 On Windows, the executable is `build-cli`, whereas on Linux/Unix it's just `build`.
+ test by running with the '--quick' option

<b>Notes on problems with npm install</b>
I (@jbphet) tried npm install on a Linux system on 11/24/2014.  It failed with an error that said, "Error: Attempt to 
unlock xxx, which hasn't been locked" where xxx was shell.js and require.js.  The web wasn't super helpful in figuring
out what this meant, so I edited package.json by removing shelljs and requirejs and re-ran it in an attempt to track
down the issue.  This succeeded, so I added shell and require back.  Then *that* succeeded.  I'm not at all sure why
these steps worked, but they did, and might for you too if you run into similar issues.

<b>Note for usage on Windows</b>
Getting paths to work for the ripper and installer builder is tricky do to spaces in the path names.  It may be easiest
to just add their paths to your PATH environment variables.


