// Copyright 2002-2014, University of Colorado Boulder

/**
 * Constants that are shared between the various portions of the installer builder.
 *
 * @author John Blanco
 */
define( function( require ) {
  'use strict';

  /* jslint node: true */
// allows "process" to pass lint instead of getting an undefined lint error

  // modules
  var jf = require( 'jsonfile' );
  var config = jf.readFileSync( 'config.json' );


  // constants
  var WORKING_DIRECTORY = process.cwd();
  var TEMP_DIR = WORKING_DIRECTORY + '/temp/';

  // static object, no constructor
  return {

    // Host name portion of URL.  The ripper will use this as the starting point.
    HOST_NAME: 'phet.colorado.edu',

    // Host name portion of URL.  The ripper will use this as the starting point.
    DOWNLOADS_HOST_NAME: 'phet-downloads.colorado.edu',

    // Full root of the host name.
    WEB_ROOT: 'http://phet.colorado.edu/',

    // URL for the sponsor list.
    SPONSOR_LIST_URL: 'http://phet.colorado.edu/en/sponsor-list',

    // Temporary directory used in the creation of the installers.
    TEMP_DIR: TEMP_DIR,

    // Directory where the rip(s) of the website will be placed.
    RIP_DIR: TEMP_DIR + 'website/',

    // Directory where the installers should end up once they are built.
    INSTALLER_OUTPUT_DIR: TEMP_DIR + 'installer-output',

    // Ripper name to execute terminal commands
    RIPPER: config.ripperPath,

    // Install Builder name to execute terminal commands
    INSTALL_BUILDER: config.installBuilderPath


  };
} );