#!/bin/sh
#======================================================================================================================
#
# Main launch point for the PhET Installer Builder, which rips a static copy of the PhET website and then bundles it
# into a set of installers for Windows, Mac, and Linux that can then be used to install a local mirror of the PhET web
# site on the end user's machine.
#
# This script is written in bash since, at the time of the writing, bash is much more ubiquitous than node.  The script
# quickly invokes Node to execute the bulk of the installer builder code.
#
# The path to the Node executable may need to be modified to run on a particular platform.
#
# Author: John Blanco
#
#======================================================================================================================

NODE_EXECUTABLE="node"

# Verify that node is available.
if ! $NODE_EXECUTABLE -v; then
    printf 'node (nodejs) not found - it must be installed on machine and in your execution path. Exiting.\n' >&2
    exit 1
fi

# Launch the installer builder
$NODE_EXECUTABLE js/installer-builder-main.js "$@"